<?php
/**
 * Joomla! 1.5 component Cu3er
 *
 * @version $Id: slideshow.php 2011-04-12 05:17:53 svn $
 * @author Tibor Németh
 * @package Joomla
 * @subpackage Cu3er
 * @license GNU/GPL
 *
 * Cu3er component for Joomla 1.5
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class Cu3erControllerSlideshow extends JController {

	function display() {
		JRequest::setVar('view', 'slideshow');
		$view = &$this->getView('slideshow','html');
		$view->setModel($this->getModel('slideshow'), true);
		$view->setModel($this->getModel('setup'));
		parent::display();
	}

	function save() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('slideshow');
		$model->save();
	}

	function saveAndNew() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('slideshow');
		$model->save();
	}

	function apply() {
		$this->save();
	}

	function preview() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('slideshow');
		$model->save(true);
	}

	function slidedefault() {
		$mainframe = &JFactory::getApplication();
		$mainframe->redirect('index.php?option=com_cu3er&view=slidedefault&cid=' . JRequest::getInt('id'));
	}

	function slidesAndTransitions() {
		$mainframe = &JFactory::getApplication();
		$mainframe->redirect('index.php?option=com_cu3er&view=slides&cid=' . JRequest::getInt('id'));
	}

	function cancel() {
		$mainframe = &JFactory::getApplication();
		$mainframe->redirect('index.php?option=com_cu3er&view=slideshows');
	}

}
