<?php
/**
 * Joomla! 1.5 component Cu3er
 *
 * @version $Id: cu3er.php 2011-04-12 05:17:53 svn $
 * @author Tibor Németh
 * @package Joomla
 * @subpackage Cu3er
 * @license GNU/GPL
 *
 * Cu3er component for Joomla 1.5
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class Cu3erControllerSlideshows extends JController {

	function display() {
		JRequest::setVar('view', 'slideshows');
		JRequest::setVar('layout', JRequest::getCmd('task', 'default'));
		$view = &$this->getView('slideshows','html');
		$view->setModel($this->getModel('slideshows'), true);
		$view->setModel($this->getModel('setup'));
		parent::display();
	}

	function add() {
		JRequest::checkToken() or jexit('Invalid Token');
		$mainframe = &JFactory::getApplication();
		$mainframe->redirect('index.php?option=com_cu3er&view=import');			
	}

	function publish() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('slideshows');
		$model->publish();
	}

	function unpublish() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('slideshows');
		$model->unpublish();
	}

	function duplicate() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('slideshows');
		$model->duplicate();
	}

	function remove() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('slideshows');
		$model->remove();
	}

}
